﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CheckboxAlternatives2.Models;

namespace CheckboxAlternatives2.Controllers
{
    public class HomeController : Controller
    {
        #region supply data for the grid

        public JsonResult Employees()
        {
            AdventureWorksEntities context = new AdventureWorksEntities();
            return Json(context.Employees, JsonRequestBehavior.AllowGet);
        }

        public JsonResult SpecialOffersData()
        {
            AdventureWorksEntities context = new AdventureWorksEntities();
            return Json(context.SpecialOffers, JsonRequestBehavior.AllowGet);
        }

        #endregion //supply data for the grid

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            return View();

        }

        public ActionResult BasicMVC()
        {
            AdventureWorksEntities context = new AdventureWorksEntities();
            return View(context.Employees.AsQueryable());
        }

        public ActionResult NonBoolean()
        {
            return View();
        }
    }
}
